﻿using Bogus;

namespace EntityFrameworkPostgresDocker.Data
{
    public static class Seeder
    {
        // This is purely for a demo, don't anything like this in a real application!
        public static async Task SeedAsync(this SalesContext salesContext)
        {
            if (!salesContext.Products.Any())
            {
                var faker = new Faker<Product>()
                    // .RuleFor(p => p.ProductId, f => f.IndexFaker + 1) // don't include, the database will generate this 
                    .RuleFor(p => p.Name, f => f.Commerce.ProductName())
                    .RuleFor(p => p.Price, f => Convert.ToDecimal(f.Commerce.Price(1, 100)))
                    .RuleFor(p => p.Code, f => f.Commerce.Ean8())
                    .RuleFor(p => p.ProductCategory, f => f.PickRandom<ProductCategory>());
                
                var products = faker.Generate(20);
                salesContext.AddRange(products); 
                await salesContext.SaveChangesAsync(); 
            }
        }
    }
}